from time import time

# Gebruikt lineair zoeken
def index_van_lineair (element,lijst):
    index = 0
    while index < len(lijst) and lijst[index] < element:
        index += 1
    return index

# Gebruikt binair zoeken
def index_van_binair (element,lijst):
    links = 0
    rechts = len(lijst)
    while links < rechts:
        midden = (links + rechts) // 2
        if element <= lijst[midden]:
            rechts = midden
        else:
            links = midden + 1
    return links

tijd_begin = time()
resultaat = []
with open("postnummers-1.txt") as f:
    for line in f:
        index = index_van_lineair(line,resultaat)   # of index_van_binair
        resultaat.insert(index,line)
tijd_einde = time()        
        
print (f"{tijd_einde-tijd_begin} sec")