## Neem 5 willekeurige kaarten en zorg ervoor dat ze allemaal
# verschillend zijn. Twee manieren om dit op te lossen.

from random import randint

# 1. Blijf willekeurige kaarten kiezen totdat je er 5 verschillende hebt
def neem_5_kaarten_1 ():
    resultaat = []
    while len(resultaat) < 5:
        keuze = random.randint(0,51)
        if keuze not in resultaat:
            resultaat.append(keuze)
    return resultaat

# 2. Trek de kaarten willekeurig uit een pak en verwijder telkens
#   de kaart die je getrokken hebt
def neem_5_kaarten_2 ():
    pak = list(range(52))
    resultaat = []
    for _ in range(5):
        keuze = random.randint(0, len(pak)-1)
        resultaat.append(pak.pop(keuze)) 
        # of
        # resultaat.append(pak[keuze])
        # del pak[keuze]
    return resultaat               

## Test het programma, zoals in 4.1
kleuren = ["harten", "ruiten", "klaveren", "schoppen"]
waarden = ["aas", 
           "twee", "drie", "vier", "vijf", "zes", 
           "zeven", "acht", "negen", "tien",
           "boer", "vrouw", "heer"]

def kaart_naam (nummer):
    return kleuren[nummer//13]+waarden[nummer%13]

for kaart in neem_5_kaarten_1():   # of ..._2
    print (kaart_naam(kaart))