## Splits een zin in woorden, ook rekening houdend met komma's

# Versie 1: verwijder alle niet-letters en doe dan split
def splits_1 (lijn):
    nieuwe_lijn = ""
    for ch in lijn:
        if ch == ' ' or ch.isalpha():
            nieuwe_lijn += ch
    return nieuwe_lijn.split()

# Versie 2: doe zelf een 'split', letter per letter
#
# Moeilijker, maar een beetje sneller dan splits_1
def splits_2 (lijn):
    resultaat = []
    in_woord = False
    woord = ""
    for ch in lijn:
        if ch.isalpha():
            in_woord = True
            woord += ch
        elif in_woord:
            in_woord = False
            resultaat.append(woord)
            woord = ""
    if in_woord:
        resultaat.append(woord)
    return resultaat

## Uittesten

lijn = " U ziet   hier, met één   beetje 'geluk', enkele woorden !\n"

print (splits_1(lijn))
print (splits_2(lijn))
