## Teken een bord voor vier op een rij

from PIL import Image, ImageDraw

schijven = [
    "1", "221", "112221", "2211", "2", "1", "", ""
]

prent = Image.new("RGB", [360, 310], color="blue")
doek = ImageDraw.Draw(prent)

# schijven hebben een straal van 20 pixels en staan 10 pixels van 
# elkaar en van de rand
for kolom in range(7):
    x = 30 + 50*kolom
    # eerste de gele en de rode schijven
    rij = 0
    for speler in schijven[kolom]:
        if speler == "1":
            kleur = "yellow"
        else:
            kleur = "red"
        y = 280 - 50*rij
        rij += 1
        doek.ellipse ([x-20, y-20, x+20, y+20], fill = kleur)    
    # dan de 'gaten'
    for rij in range(rij,6):
        y = 280 - 50*rij
        doek.ellipse ([x-20, y-20, x+20, y+20], fill = "white") 
        
prent.show()