# Zelfde als oefening 7.1, maar nu gebruiken we matplotlib om een
# staafdiagram te maken van de uitvoer
#
# Dit is de 'interessante' oplossing

from matplotlib import pyplot    

frequentie = [0] * 10 # in de tekst heet dit 'aantal'

with open ("stat-1-1_n.csv", "r") as bestand:
    # lees eerste drie lijnen in, maar gooi die weg
    bestand.readline() 
    bestand.readline() 
    bestand.readline() 
    # verwerk nu de rest van het bestand
    for lijn in bestand:
        laatste_puntkomma = lijn.rfind(";")
        eerste_cijfer = int(lijn[laatste_puntkomma+1])
        frequentie[eerste_cijfer] += 1
    # laatste lijn van de tabel mocht niet worden meegeteld
    frequentie[eerste_cijfer] -= 1

# omzetten naar percentages en opslaan in een lijst, ten behoeve van matplotlib
y_waarden = []
som = sum(frequentie)
for cijfer in range (1,10):
    percentage = frequentie[cijfer] / som * 100
    y_waarden.append(percentage)

x_waarden = list(range(1,10)) # werkt ook zonder list(…)

pyplot.bar(x_waarden, y_waarden)
pyplot.show()
