# Verkeerssimulatie met verkeerslichten en ongeval

from random import randint
from matplotlib import pyplot

def nieuwe_auto_s(tijdstip):
    if tijdstip % 3 == 0:   # groen licht
        return randint(40,70)
    else:
        return 0
    
def auto_s_weg(tijdstip):
    if 10 <= tijdstip < 20:
        return 6
    else:
        return 24

# voor de grafiek
x_waarden =list (range (60))
y_waarden = []

queue = []
for tijdstip in range(60):
    for _ in range (nieuwe_auto_s(tijdstip)):
        queue.append(tijdstip)
    #alternatief
    #queue += [tijdstip] * nieuwe_auto_s(tijdstip)
    aantal_auto_s_weg = min (auto_s_weg(tijdstip), len(queue))
    totale_wachttijd = 0
    for _ in range(min(auto_s_weg(tijdstip), len(queue))):
        wachttijd = tijdstip - queue.pop(0)
        totale_wachttijd += wachttijd
    if aantal_auto_s_weg == 0:
        y_waarden.append (0)
    else:
        y_waarden.append(totale_wachttijd / aantal_auto_s_weg)

pyplot.plot(x_waarden, y_waarden)
pyplot.show()
