# Bereken de oppervlakte onder de grafiek van f(x) = 8 - x² voor het interval
# [-2.5,2.5] zowel methode 1 als 2, waarden worden samen afgedrukt

def f(x):
    return 8.0 - x**2

x0 = -2.0
x1 = 2.0
for aantal in range (100,2100,100):
    # methode 1
    oppervlakte = 0
    h = (x1-x0)/aantal
    for i in range(aantal):
        x = x0 + (i+1)*h
        oppervlakte += h*f(x)
    print (oppervlakte)

    # methode 2
    oppervlakte = 0
    for i in range(aantal):
        x = x0 + i*h
        oppervlakte += h*f(x)
    print (oppervlakte)

