## Hoeveel sprongen heeft een paard minstens nodig om van de ene hoek
## van een schaakbord naar de diagonaal tegenovergestelde hoek te springen?

# Stelt de dictionary buren op 
buren = {}

sprongen = [ # hulplijst
    [1,2], [1,-2], [-1, 2], [-1, -2],
    [2,1], [2,-1], [-2, 1], [-2, -1]
]
for rij in range (1,9):
    for kolom in range (1,9):
        positie = " abcdefgh"[kolom] + str(rij)
        buren[positie] = []
        for sprong in sprongen:
            nieuwe_rij = rij + sprong[0]
            if 1 <= nieuwe_rij <= 8:
                nieuwe_kolom = kolom + sprong[1]
                if 1 <= nieuwe_kolom <= 8:
                    nieuwe_positie = " abcdefgh"[nieuwe_kolom] + str(nieuwe_rij)
                    buren[positie].append(nieuwe_positie)

# en nu doen we een breedte-eerst zoals in 15.7, maar we stoppen zodra we
# ons doel hebben bereikt                    
start = "a8"
doel = "h1"       # probeer ook eens "f2", "a7", …
reeds_bezocht = [start]
te_verwerken = [start, 0]

gevonden = False
while not gevonden:
    vakje           = te_verwerken.pop(0)
    aantal_sprongen = te_verwerken.pop(0)
    # print (vakje, aantal_sprongen)        # helpt om te zien wat er gebeurt
    if vakje == doel:
        gevonden = True
    else:
        for buur in buren[vakje]:
            if buur not in reeds_bezocht:
                te_verwerken.append(buur)
                te_verwerken.append(aantal_sprongen + 1)
                reeds_bezocht.append(buur)

print (f"Het vakje {doel} wordt na {aantal_sprongen} sprongen bereikt!")            
        