# recursieve versie
def fibonacci(n):
    if n < 2:
        return n;
    else:
        return fibonacci(n-1) + fibonacci(n-2)

# standaardversie
def fibonacci_standaard(n):
    vorige = 0
    huidige = 1
    for _ in range (n):
        volgende = vorige + huidige
        vorige = huidige
        huidige = volgende
    return vorige

for n in [10, 20, 40]:
    print (fibonacci_standaard(n))
    print (fibonacci(n))
        