import math

# Bereken de cosinus uit haar reeksontwikkeling
def cosinus (x):
    som = 1.0
    term = 1.0
    i = 1
    while abs(term) > 1e-18:
        term = -term * x**2 / i / (i+1)
        som += term
        i += 2
    return som

# Vergelijk de waarde van de geprogrammeerde met die van de
# ingebouwde cosinus

# cos (π/10)
hoek = math.pi/10
print (cosinus(hoek), math.cos(hoek))

# cos (61π/10)
hoek = 61*math.pi/10
print (cosinus(hoek), math.cos(hoek))

