## Bereken de kans op een kwartet in een pokerhand met
# behulp van de Monte Carlomethode

from random import randint

def is_kwartet (kaarten):
    aantal1 = 0  # aantal keer de eerste kaart?
    aantal2 = 0  # aantal keer de tweede kaart?
    for kaart in kaarten:
        if kaart % 13 == kaarten[0] % 13:
            aantal1 += 1
        if kaart % 13 == kaarten[1] % 13:
            aantal2 += 1
    return aantal1 >= 4 or aantal2 >= 4

def neem_5_kaarten ():
    resultaat = []
    while len(resultaat) < 5:
        keuze = randint(0,51)
        if keuze not in resultaat:
            resultaat.append(keuze)
    return resultaat

aantal_pogingen = 1_000_000    # 1 miljoen pogingen
aantal_kwartetten = 0
for _ in range(aantal_pogingen):
    if is_kwartet (neem_5_kaarten ()):
        aantal_kwartetten += 1
        
print (f"Kans = {aantal_kwartetten / aantal_pogingen * 100}%")
