## Tekent een dominosteen met opgegeven aantal ogen

from PIL import Image, ImageDraw

patronen = [ "", "4", "08", "048", "0268", 
             "02468", "012678", "0124678", "01235678", "012345678" 
           ]

# gebaseerd op oplossing van versie 3 van oefening 6.2, en nog iets korter
def teken_ogen (doek, start_x, start_y, aantal_ogen):
   for index_teken in patronen[aantal_ogen]:
        index = int(index_teken)
        x = start_x+35+45*(index % 3)
        y = start_y+35+45*(index // 3)
        doek.ellipse([x-20,y-20,x+20,y+20], fill="white")

def teken_domino (aantal_links, aantal_rechts):
    prent = Image.new("RGB", [380, 200], color="white")
    doek = ImageDraw.Draw(prent)
    doek.rounded_rectangle([20, 20, 360, 180], radius=20, fill="black") 
    
    teken_ogen (doek, 20, 20, aantal_links)
    teken_ogen (doek,200, 20, aantal_rechts)
    
    doek.line([190,30,190,170], fill="white", width=6)
    prent.show()
    # of
    # image.save(f"domino-{aantal_links}-{aantal_rechts}.png")

# uitproberen
teken_domino(3,6)