# Controleer de wet van Benford voor aantallen inwoners van Belgische gemeenten
# informatie uit https://www.ibz.rrn.fgov.be/nl/bevolking/statistieken-van-bevolking/

frequentie = [0] * 10 # in de tekst heet dit 'aantal'

with open ("stat-1-1_n.csv", "r") as bestand:
    # lees eerste drie lijnen in, maar gooi die weg
    bestand.readline() 
    bestand.readline() 
    bestand.readline() 
    # verwerk nu de rest van het bestand
    for lijn in bestand:
        laatste_puntkomma = lijn.rfind(";")
        eerste_cijfer = int(lijn[laatste_puntkomma+1])
        frequentie[eerste_cijfer] += 1
    # laatste lijn van de tabel mocht niet worden meegeteld
    frequentie[eerste_cijfer] -= 1

# omzetten naar percentages en afdrukken
som = sum(frequentie)
for cijfer in range (1,10):
    percentage = frequentie[cijfer] / som * 100
    print (f"{cijfer};{percentage}")    
