# Zelfde als oefening 7.1, maar nu sturen we de uitvoer naar een CSV-bestand
# zodat we er via de rekenbladsoftware een staafdiagram kunnen van maken
#
# Dit is de 'luie' oplossing

frequentie = [0] * 10 # in de tekst heet dit 'aantal'

with open ("stat-1-1_n.csv", "r") as bestand:
    # lees eerste drie lijnen in, maar gooi die weg
    bestand.readline() 
    bestand.readline() 
    bestand.readline() 
    # vewerk nu de rest van het bestand
    for lijn in bestand:
        laatste_puntkomma = lijn.rfind(";")
        eerste_cijfer = int(lijn[laatste_puntkomma+1])
        frequentie[eerste_cijfer] += 1
    # laatste lijn van de tabel mocht niet worden meegeteld
    frequentie[eerste_cijfer] -= 1

# omzetten naar percentages en uitschrijven naar 'frequenties.csv'
som = sum(frequentie)
with open("frequenties.csv", "w") as bestand:
    for cijfer in range (1,10):
        percentage = frequentie[cijfer] / som * 100
        print (f"{cijfer};{percentage}",file=bestand)
