# Maak een grafiek van de vergrijzing

with open("bevolking.csv") as bestand:
    # we gebruiken de eerste lijn om te weten hoeveel kolommen we verwachten
    eerste_lijn = bestand.readline()
    aantal_jaren = eerste_lijn.count(",")
    totalen = [0] * aantal_jaren
    totalen_grijs = [0] * aantal_jaren
    rij = 1

    # we overlopen de rest van het bestand lijn per lijn
    for lijn in bestand:
        delen = lijn.split(",")
        for i in range(aantal_jaren):
            aantal = int(delen[i+1])
            totalen[i] += aantal
            if rij > 12:
                totalen_grijs[i] += aantal
        rij += 1
    
from matplotlib import pyplot

x_waarden = list(range(2014,2014+aantal_jaren))

# bereken voor elk jaar afzonderlijk het gezochte percentage
y_waarden = []
for i in range(aantal_jaren):
    y_waarden.append (totalen_grijs[i] / totalen[i] * 100)

pyplot.plot (x_waarden, y_waarden)
pyplot.show()



