## Oekraïense vlag-probleem. Plaats alle even getallen vooraan en alle
#  oneven achteraan.
#
# Deze versie is in-place, maar niet efficiënt

from random import randint

def herschik (lijst):
    # index waar het volgende oneven getal wordt ingevoegd
    index_oneven = len(lijst)-1
    while index_oneven >= 0 and lijst[index_oneven] % 2 != 0:
        index_oneven -= 1

    index = 0
    while index < index_oneven:        
        getal = lijst[index]
        if getal % 2 == 0:
            index += 1
        else:
            # schuif alles uit [index+1,index_oneven] één plaats naar voor
            for i in range(index,index_oneven):
                lijst[i] = lijst[i+1]
            # plaats getal in oneven gebied
            lijst[index_oneven] = getal
            index_oneven -= 1

# testen - drukt een aantal random lijsten af die herschikt zijn
for _ in range(10):
    lijst = []
    for __ in range (10):
        lijst.append(randint(0,19))
    print (lijst)
    herschik(lijst)
    print (lijst)

# werkt het ook voor lijsten van enkel even/enkel oneven getallen?

lijst = list(range(0,12,2))
herschik(lijst)
print (lijst)

lijst = list(range(1,13,2))
herschik(lijst)
print (lijst)




