## Recursieve tekening met vierkanten in 2 kleuren, enkel de zwarte vierkantjes
# worden getekend
    
from PIL import Image, ImageDraw

# teken een vierkant
#
# x,y = coördinaten van de linkerbovenhoek van het vierkant  
def teken_vierkant (zijde, x, y):
    doek.rectangle ([x, y, x+zijde, y+zijde], "black")

# bij n=1 wordt er een vierkant getekend
# anders vier patronen  op niveau n-1
#
# x,y = coördinaten van de linkerbovenhoek van het patroon
def teken_patroon (n, zijde, x, y, omgewisseld):
    if n <= 1:
        if not omgewisseld:
            teken_vierkant (zijde, x, y)
    else:
        teken_patroon (n-1, zijde/2, x,         y,         omgewisseld)
        teken_patroon (n-1, zijde/2, x+zijde/2, y,         not omgewisseld)
        teken_patroon (n-1, zijde/2, x,         y+zijde/2, not omgewisseld)
        teken_patroon (n-1, zijde/2, x+zijde/2, y+zijde/2, omgewisseld)

prent = Image.new("RGB", [300, 300], color="grey")
doek = ImageDraw.Draw(prent)
doek.rectangle([22,22,22+256,22+256], "red")
teken_patroon (6, 256, 22, 22, False)  # n ≤ 8
prent.show()
