## Berekent hoe lang het duurt vooraleer alle bakens van Gondor zijn aangestoken

# inlezen van de graaf komt uit eerdere oefeningen
gondor_graaf = {}

with open('gondor-graaf.txt') as bestand:
    for lijn in bestand:
        plaatsen = lijn[:-1].split('|')  #Belangrijk: new line op het einde moet verwijderd worden!
        sleutel = plaatsen[0]
        waarde = plaatsen[1:]
        gondor_graaf[sleutel] = waarde

start_plaats = "Minas Tirith"

# lijst van alle plaatsen die reeds zijn bezocht, Minas Tirith
# bezoeken we eerst
reeds_bezocht = [start_plaats]

# wachtrij met plaatsen die nog moeten worden verwerkt, Minas Tirith
# moet eerst worden verwerkt, ook het aantal minuten wordt hier opgeslagen
te_verwerken = [start_plaats, 0]

while len(te_verwerken) > 0:
    plaats = te_verwerken.pop(0)
    minuten = te_verwerken.pop(0)
    # print (plaats, minuten)        # helpt om te zien wat er gebeurt
    buren = gondor_graaf[plaats]
    for buur in buren:
        if buur not in reeds_bezocht:
            te_verwerken.append(buur)
            te_verwerken.append(minuten + 1)
            reeds_bezocht.append(buur)

print (f"Alle bakens zijn aangestoken na {minuten} minuten!")            

