## Recursief algoritme voor het Tartariaanse wisselgeldprobleem
## MET memoïzatie

memo = [-1]*2001    
# memo[bedrag] zal uiteindelijk het optimale aantal munten
# en/of briefjes bevatten voor het opgegeven bedrag

waarden = [600,400,90,60,40,9,6,4,1]

def aantal_munten (bedrag):
    if bedrag == 0:
        return 0
    else:
        if memo[bedrag] < 0:
            # bereken het aantal en sla het op
            minimum = bedrag
            for waarde in waarden:
                if waarde <= bedrag:
                    aantal = aantal_munten(bedrag - waarde)
                    if aantal < minimum:
                        minimum = aantal
            memo[bedrag] = minimum + 1                    
        return memo[bedrag]
    
print ("aantal munten/briefjes voor:")
print ("   8 Đ:", aantal_munten(8))
print ("  21 Đ:", aantal_munten(21))
print ("  45 Đ:", aantal_munten(45))
print ("  80 Đ:", aantal_munten(80))
print (" 138 Đ:", aantal_munten(138))
print ("1999 Đ:", aantal_munten(1999))
